Bug 865520 - systemd-194-1.fc18 fails to build on ppc64: error: dereferencing pointer to incomplete type
systemd-194-1.fc18 fails to build on ppc64: error: dereferencing pointer to i...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
18
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Betappc
  Show dependency treegraph
 
Reported: 2012-10-11 12:30 EDT by Karsten Hopp
Modified: 2016-11-24 11:08 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 12:27:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-10-11 12:30:08 EDT
Description of problem:


src/shared/path-util.c: In function 'path_is_mount_point':
src/shared/path-util.c:348:10: error: dereferencing pointer to incomplete type
src/shared/path-util.c:350:9: warning: implicit declaration of function 'name_to_handle_at' [-Wimplicit-function-declaration]
src/shared/path-util.c:368:10: error: dereferencing pointer to incomplete type
make[2]: *** [src/shared/path-util.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
rm units/console-shell.service.m4 src/core/org.freedesktop.systemd1.policy.in units/rescue.service.m4 units/console-getty.service.m4
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Version-Release number of selected component (if applicable):
systemd-194-1.fc18

How reproducible:


Steps to Reproduce:
1. ppc-koji build --scratch f18 systemd-194-1.fc18.src.rpm
2.
3.
  
Actual results:


Expected results:


Additional info:
systemd-193-1.fc18 failed to build with the same error, systemd-188-3.fc18 is the last one that was built on PPC*
Comment 1 Lukáš Nykrýn 2012-10-11 16:37:36 EDT
I think that this is bug in glibc (I have already contacted glibc maintainer). Configure tells that name_to_handle_at is present, but it is missing in header files.
Comment 2 Fedora Update System 2012-10-13 22:36:16 EDT
glibc-2.16-20.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glibc-2.16-20.fc18
Comment 3 Fedora Update System 2012-10-14 16:11:19 EDT
Package glibc-2.16-20.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-20.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16111/glibc-2.16-20.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.